Core - Bug # 44073

Status: Resolved Priority: Should have

Author: Helmut Hummel Category: File Abstraction Layer (FAL)
Created: 2012-12-17 Assigned To:

Updated: 2013-02-08 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: Checksum needs to be updated after file processing

Description

When recreating an already processed file the LocallmageProcessor
updates the width, height and filesize of the new image but not
the checksum.

Because of that the file will be deleted in FileProcessingService
when $processedFile->isProcessed() is called. Since the checksum
is wrong this call assumes that the file needs to be recreated and
deletes the "old" file on the go.

This will lead to an exception in this request, when getPublicUrl is
called on this object.

Since the checksum is not only based on the processing configuration
but also on the graphic configuration, these exceptions only occur
when the graphic configuration is changes (e.g. in a deploy scenario).
The problem can easily be reproduced by enforcing

a change of the GFX configuration e.g. by adding the

following line to AdditionalConfiguration.php

$GLOBALS['TYPO3_CONF_VARS'['GFX1]['fo0" = unigid()

Then an exception is thrown for every processed file on every request.

Related issues:

related to Core - Bug # 44616: Image caching broken for im_noScaleUp = 1 Closed
related to Core - Bug # 45168: Wrong image displayed in FE if not resized Resolved
related to Core - Bug # 44645: Preview images don't get a new filename after ... Resolved
Associated revisions

Revision 7d88ffce - 2012-12-17 22:19 - Helmut Hummel

[BUGFIX] Update checksums after file processing

When recreating an already processed file the LocallmageProcessor

updates the width, height and filesize of the new image but not
the checksum.
Because of that the file will be deleted in FileProcessingService
when $processedFile->isProcessed() is called. Since the checksum
is wrong this call assumes that the file needs to be recreated and
deletes the "old" file on the go.

This will lead to an exception in this request, when getPublicUrl is
called on this object.

Fixes: #44073
Releases: 6.1, 6.0

Change-Id: 1b2df87b54866262e0092fbb24b4222f0b298€9d6
Reviewed-on: https://review.typo3.org/17207

Reviewed-by: Helmut Hummel

Tested-by: Helmut Hummel

Revision ae6318c9 - 2012-12-17 22:20 - Helmut Hummel

[BUGFIX] Update checksums after file processing

When recreating an already processed file the LocallmageProcessor
updates the width, height and filesize of the new image but not
the checksum.

Because of that the file will be deleted in FileProcessingService
when $processedFile->isProcessed() is called. Since the checksum
is wrong this call assumes that the file needs to be recreated and
deletes the "old" file on the go.

This will lead to an exception in this request, when getPublicUrl is
called on this object.

Fixes: #44073
Releases: 6.1, 6.0

Change-Id: 1b2df87b54866262e0092fbb24b4222f0b298e9d6
Reviewed-on: https://review.typo3.org/17207

Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel
Reviewed-on: https://review.typo3.org/17208

History

#1 - 2012-12-17 22:17 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/17207

#2 - 2012-12-17 22:19 - Gerrit Code Review
https://review.typo3.org/17207
https://review.typo3.org/17207
https://review.typo3.org/17208
https://review.typo3.org/17207

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.

It is available at https://review.typo3.org/17208

#3 - 2012-12-17 22:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ae6318c9432a869¢c2a06c6769b09662bde932c98.

#4 - 2013-02-08 12:03 - Andreas Wolf

The triggers a sham bug - the filename of the processed file is not updated, so it seems as if the relation between the processed file and the original file
is broken. See #45168 and #44616 for details.

Don't see this as a blame, this is just a note so nobody searches for this "bug" again for hours :-/.
